Subject: Re: bug#32550: 26.1; minibuffer-electric-default-mode breaks greying out find-file prefix

From: Michael Albinus <[email-masked]>
Date: Fri, 31 Aug 2018 16:45:17 +0200

Allen Li <[email-masked]> writes:

> On Mon, Aug 27, 2018 at 11:05 PM Eli Zaretskii <[email-masked]> wrote:
>>
>> > From: Allen Li <[email-masked]>
>> > Date: Mon, 27 Aug 2018 16:53:18 -0700
>> >
>> > Reproduce:
>> >
>> > 1. emacs -Q
>> > 2. M-x minibuffer-electric-default-mode RET
>> > 3. C-x C-f /ssh:some-host:
>> >
>> > Expected:
>> >
>> > The ~/ prepopulated in the minibuffer should be greyed out.
>> >
>> > Actual:
>> >
>> > On typing the second :, the ~/ stops being greyed out.
>>
>> I seem to be unable to reproduce this here.  Is it important for
>> some-host to name an existing address?
>
> No, I had to play with it to figure out the right conditions, you need
> to invoke find-file twice:
>
> 1. emacs -Q
> 2. M-x minibuffer-electric-default-mode RET
> 3. C-x C-f /ssh:some-host: C-g
> 3. C-x C-f /ssh:some-host:
>
> Expected:
>
> The ~/ prepopulated in the minibuffer should be greyed out.
>
> Actual:
>
> On typing the second :, the ~/ stops being greyed out.
>
> I can reproduce this consistently now, can you try again?

Maybe it is a Tramp problem. If I do the following, I can reproduce it:

# emacs -Q -l tramp

OTOH, the following Emacs invocation doesn't show the problem:

# emacs -Q -l tramp --eval '(setq tramp-mode nil)'

All tests performed with Emacs 27.0.50, but this shouldn't matter. Will
dig further.

Best regards, Michael.